Vulnerability CVE-2006-3015


Published: 2006-06-14   Modified: 2012-02-12

Description:
Argument injection vulnerability in WinSCP 3.8.1 build 328 allows remote attackers to upload or download arbitrary files via encoded spaces and double-quote characters in a scp or sftp URI.

Type:

CWE-94

(Improper Control of Generation of Code ('Code Injection'))

CVSS2 => (AV:N/AC:H/Au:N/C:C/I:C/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.1/10
9.2/10
4.9/10
Exploit range
Attack complexity
Authentication
Remote
High
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
None
Affected software
Winscp -> Winscp 

 References:
http://www.kb.cert.org/vuls/id/912588
http://xforce.iss.net/xforce/xfdb/27075
http://www.vupen.com/english/advisories/2006/2289
http://www.securityfocus.com/bid/18384
http://winscp.net/eng/docs/history#3.8.2
http://secunia.com/advisories/20575
http://lists.grok.org.uk/pipermail/full-disclosure/2006-June/046810.html
http://archives.neohapsis.com/archives/fulldisclosure/2006-06/0196.html

Copyright 2022, cxsecurity.com

 

Back to Top